Subject: Re: bug#70038: 29.3.50; Shift up/down in buffer with images on M-x other-window with some fonts

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Apr 2024 18:36:48 +0300

> From: Ramon Diaz-Uriarte <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked],  Rahguzar
>  <[email-masked]>,  [email-masked]
> Date: Thu, 11 Apr 2024 15:56:30 +0200
> 
> Sorry, I did not see this.

No sweat.

> On Sat, 06-April-2024, at 14:33:59, Eli Zaretskii <[email-masked]> wrote:
> >> From: Rahguzar <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >> Date: Thu, 28 Mar 2024 18:24:32 +0100
> >> 
> > Ramon, if you replace "||" with "&&" in the above condition, does the
> > problem go away for you also when you change fonts, as you described
> > in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70038#29 ?
> 
> 
> Yes: 
> the problem goes away (and I do not need to use
> (setq read-minibuffer-restore-windows nil)
> ).
> 
> Moreover, the original problem with pdf-tools that lead this bug report (https://github.com/vedang/pdf-tools/pull/224?notification_referrer_id=NT_kwDOABnEI7I3MDQyMzY2MDYwOjE2ODg2MTE#issuecomment-2014151358) also goes away.

Thanks for testing.  So I've now installed this change on the emacs-29
branch (soon to be merged to master).